import QtQuick 2.0

Rectangle {
    width: 200
    height: 100
    color: "black"

    Column {
        anchors.fill: parent
        anchors.margins: 20
        spacing: 10

        Rectangle {
            anchors.left: parent.left
            anchors.right: parent.right
            height: myText.implicitHeight + 10
            border.color: "gray"
            color: "white"

            Text {
                id: myText
                anchors.left: parent.left
                anchors.leftMargin: 10
                anchors.right: parent.right
                anchors.verticalCenter: parent.verticalCenter
                color: "black"
            }
        }
        Rectangle {
            anchors.left: parent.left
            anchors.right: parent.right
            height: buttonText.implicitHeight + 10
            border.color: "darkgray"
            color: buttonMouseArea.pressed ? Qt.darker("gray", 1.5) : "gray"

            Text {
                id: buttonText
                anchors.verticalCenter: parent.verticalCenter
                anchors.horizontalCenter: parent.horizontalCenter
                text: "Click Me!"
            }
            MouseArea {
                id: buttonMouseArea
                anchors.fill: parent
                onClicked: {
                    if ( myText.text === "how are you"){
                        myText.text = "hello world"
                    }else if ( myText.text === "hello world" ){
                        myText.text = "how are you?"
                    }else{
                        myText.text = "hello world"
                    }
                }
            }
        }

    }
}

